import React from "react";
import { View, Video, Image } from "@tarojs/components";
import Taro from "@tarojs/taro";

import "./index.scss";

import line from "../../images/Line.png";
import { InputBox } from "../../component/input/index";

class PreviousEditions extends React.Component<any, any> {
  static defaultProps = {};
  #systemInfo = Taro.getSystemInfoSync();
  constructor(props: any) {
    super(props);
    this.state = {
      height: 0,
      heightLine: 0,
      list: [
        {
          url: "https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/R-C.jfif"
        }
      ]
    };
  }

  getImageSize = (e: any) => {
    this.setState({
      height: (this.#systemInfo.screenWidth / e.detail.width) * e.detail.height,
    });
  };

  getImageSizeLine = (e: any) => {
    this.setState({
      heightLine:
        ((this.#systemInfo.screenWidth - 60) / e.detail.width) *
        e.detail.height,
    });
  };

  showImage = (url: string) => {
    Taro.previewImage({
      urls: [url],
    });
  }

  render() {
    // const {  } = this.props;
    const w = this.#systemInfo.screenWidth - 60;
    return (
      <View className="PreviousEditions">
        <Image
          style={`width: ${this.#systemInfo.screenWidth}px;height: ${this.state.height
            }px;`}
          src="https://cxzx.smcic.net/topic/tool/img/%E5%B0%91%E5%84%BF%E4%B9%A6%E7%94%BB%E5%A4%A7%E8%B5%9B/banner-2.png"
          onLoad={this.getImageSize}
        />
        <InputBox>
          {this.state.list.map(v => {
            return (<View>
              <Image
                src={v.url}
                className="zuopin"
                mode="aspectFit"
                onClick={() => this.showImage(v.url)}
              />
              <Image
                src={line}
                onLoad={this.getImageSizeLine}
                className="line"
                style={`width: ${w}px;height: ${this.state.heightLine}px;`}
              />
            </View>)
          })}
        </InputBox>
      </View>
    );
  }
}

export { PreviousEditions };
